Android构建失败:无法找到facebook-core:5.11.1

anurag sharma 5 android facebook react-native react-native-android

在facebook SDK的最新更新中,我在同步android项目中的gradle文件(react native)时遇到了这个问题。

error Failed to install the app. Make sure you have the Android development environment set up: https://facebook.github.io/react-native/docs/getting-started.html#android-development-environment. Run CLI with --verbose flag for more details. Error: Command failed: ./gradlew app:installDebug -PreactNativeDevServerPort=8081

失败:构建失败,发生异常。

facebook-core:5.11.1无法解决。

Mohsin.. 10

为了使其工作,您必须在android / gradle.properties中添加以下行:

facebookSdkVersion = 5.11.0

使用旧的SDK版本。

安德鲁兹(Andrewzey)解决方案